Package org.eclipse.jdt.debug.ui.launchConfigurations

## Class JavaSourceLookupTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
    - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaSourceLookupTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider`, `ILaunchConfigurationTab`, `ILaunchConfigurationTab2`

    @Deprecated
    public class JavaSourceLookupTab
    extends JavaLaunchTab

Deprecated.
In 3.0, the debug platform provides source lookup facilities that should be used in place of the Java source lookup support provided in 2.0. The new facilities provide a source lookup director that coordinates source lookup among a set of participants, searching a set of source containers. See the following packages: `org.eclipse.debug.core.sourcelookup` and `org.eclipse.debug.core.sourcelookup.containers`. This class has been replaced by a source lookup tab in the debug platform - `org.eclipse.debug.ui.sourcelookup.SourceLookupTab`.
A launch configuration tab that displays and edits source lookup path launch configuration attributes.

This class may be instantiated.

Since:
  2.0
Restriction:
  This class is not intended to be sub-classed by clients.

### Field Summary

Fields
`protected org.eclipse.jdt.internal.debug.ui.launcher.SourceLookupBlock` `fSourceLookupBlock` Deprecated.

### Constructor Summary

Constructors
`JavaSourceLookupTab()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `createControl​(Composite parent)` Deprecated.
`String` `getId()` Deprecated.
`Image` `getImage()` Deprecated.
`String` `getName()` Deprecated.
`void` `initializeFrom​(ILaunchConfiguration configuration)` Deprecated.
`void` `performApply​(ILaunchConfigurationWorkingCopy configuration)` Deprecated.
`void` `setDefaults​(ILaunchConfigurationWorkingCopy configuration)` Deprecated.

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeAttributes, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, isValid, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Field Detail

#### fSourceLookupBlock

    protected org.eclipse.jdt.internal.debug.ui.launcher.SourceLookupBlock fSourceLookupBlock

Deprecated.

### Constructor Detail

#### JavaSourceLookupTab

    public JavaSourceLookupTab()

Deprecated.

### Method Detail

#### createControl

    public void createControl​(Composite parent)

Deprecated.

See Also:
  `ILaunchConfigurationTab.createControl(Composite)`

#### setDefaults

    public void setDefaults​(ILaunchConfigurationWorkingCopy configuration)

Deprecated.

See Also:
  `ILaunchConfigurationTab.setDefaults(ILaunchConfigurationWorkingCopy)`

#### initializeFrom

    public void initializeFrom​(ILaunchConfiguration configuration)

Deprecated.

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `JavaLaunchTab`
See Also:
  `ILaunchConfigurationTab.initializeFrom(ILaunchConfiguration)`

#### performApply

    public void performApply​(ILaunchConfigurationWorkingCopy configuration)

Deprecated.

See Also:
  `ILaunchConfigurationTab.performApply(ILaunchConfigurationWorkingCopy)`

#### getId

    public String getId()

Deprecated.

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  `AbstractLaunchConfigurationTab.getId()`

#### getName

    public String getName()

Deprecated.

See Also:
  `ILaunchConfigurationTab.getName()`

#### getImage

    public Image getImage()

Deprecated.

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`
See Also:
  `ILaunchConfigurationTab.getImage()`